qorder(1B)

NAME
qorder - exchange order of two PBS batch jobs.

SYNOPSIS
qorder <job ID> <job ID>
qorder --version

DESCRIPTION
Exchanges positions in queue(s) of two jobs, whether in the same or different queue(s). No attribute of either job, e.g. priority, is changed. The impact of interchanging the order within or between queues is dependent on local job scheduling policy; contact your systems administrator. Restrictions
A job in the running state cannot be reordered.
The qorder command can be used on job arrays, but not on subjobs or ranges of subjobs.
The two jobs must be located at the same server. Effect of Privilege on Behavior
For an unprivileged user to reorder jobs, both jobs must be owned by the user. A privileged user (Manager, Operator) can reorder any jobs.

OPTIONS

--version
    The qorder command returns its PBS version information and exits. This option can only be used alone.

OPERANDS
Both operands are job IDs which specify the jobs to be exchanged. The qorder command accepts two job ID operands of the form:
    <sequence number>[.<server name>][@<server name>]
    <sequence number>[][.<server name>][@<server name>]
If you specify a server for both jobs, they must be at the same server. Note that some shells require that you enclose a job array identifier in double quotes.

STANDARD ERROR
The qorder command writes diagnostic messages to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all operands

Greater than zero
    If the qorder command fails to process any operand

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
qsub(1B), qmove(1B), pbs_orderjob(3B), pbs_movejob(3B)